de.esprit.netsuite.rtask

## Class RemoteTaskType

- java.lang.Object
- - de.esprit.appsuite.task.AbstractTaskType
  - - de.esprit.netsuite.rtask.RemoteTaskType

- All Implemented Interfaces:
    TaskType, java.io.Serializable
  Direct Known Subclasses:
    AgentTaskType

      public class RemoteTaskType
      extends AbstractTaskType

  Defines the various types of asynchronous remote tasks and how they are being rendered.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RemoteTaskType` | `CO_CLIENT_BIND_TASK`
    `static RemoteTaskType` | `REMOTE_JAVA_VM`
    `static RemoteTaskType` | `REMOTE_OS_PROCESS`
    `static RemoteTaskType` | `REMOTE_TASK`
    `static RemoteTaskType` | `SERVER_BATCH_TASK`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RemoteTaskType(java.lang.String typeName, IconKey iconKey)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isLocalTask()`
    `boolean` | `isOsProcessTask()`
    `boolean` | `isRemoteTask()`
    `boolean` | `isWorkflowTask()`

    - ### Methods inherited from class de.esprit.appsuite.task.AbstractTaskType

      `equals, getName, getRenderIcon, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### REMOTE_TASK

          public static final RemoteTaskType REMOTE_TASK

    - #### REMOTE_OS_PROCESS

          public static final RemoteTaskType REMOTE_OS_PROCESS

    - #### REMOTE_JAVA_VM

          public static final RemoteTaskType REMOTE_JAVA_VM

    - #### SERVER_BATCH_TASK

          public static final RemoteTaskType SERVER_BATCH_TASK

    - #### CO_CLIENT_BIND_TASK

          public static final RemoteTaskType CO_CLIENT_BIND_TASK

  - ### Constructor Detail

    - #### RemoteTaskType

          protected RemoteTaskType(java.lang.String typeName,
                        IconKey iconKey)

  - ### Method Detail

    - #### isWorkflowTask

          public boolean isWorkflowTask()

    - #### isOsProcessTask

          public boolean isOsProcessTask()

    - #### isRemoteTask

          public boolean isRemoteTask()

    - #### isLocalTask

          public boolean isLocalTask()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.